Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::DimensionF Class Reference

実数寸法 More...

`#include <DimensionF.h>`

List of all members.

## Public Member Functions
| DimensionF ()
| コンストラクタ
| DimensionF (float sourceWidth, float sourceHeight)
| コンストラクタ
| DimensionF (float sourceArray[2])
| コンストラクタ
| DimensionF (const DimensionI &source)
| コンストラクタ
void | set (float sourceWidth, float sourceHeight)
| 値の設定
void | set (float sourceArray[2])
| 値の設定
void | set (const DimensionI &source)
| 値の設定
DimensionF | operator+ (const DimensionF &addDimension) const
| 加算
DimensionF | operator- (const DimensionF &subDimension) const
| 減算
DimensionF | operator * (const DimensionF &mulDimension) const
| 乗算
DimensionF | operator * (float mulValue) const
| 乗算
DimensionF | operator+ () const
| +演算子
DimensionF | operator- () const
| -演算子
DimensionF & | operator+= (const DimensionF &addDimension)
| 代入加算
DimensionF & | operator-= (const DimensionF &subDimension)
| 代入減算
DimensionF & | operator *= (const DimensionF &mulDimension)
| 代入乗算
DimensionF & | operator *= (float mulValue)
| 代入乗算
bool | operator== (const DimensionF &target) const
| 同じ値かどうか
bool | epsilonEquals (const DimensionF &target, float epsilon) const
| 同じ値かどうか
bool | operator!= (const DimensionF &target) const
| 同じ値でないかどうか
bool | notEpsilonEquals (const DimensionF &target, float epsilon) const
| 同じ値でないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const DimensionF | zero
| ゼロ寸法
const DimensionF | unit
| 単位寸法
## Friends
DimensionF | operator * (float mulValue, const DimensionF &mulDimension)
| 乗算

## Detailed Description

実数寸法

このクラスは継承しないで下さい。

Definition at line 38 of file DimensionF.h.

## Constructor & Destructor Documentation

Lamp::DimensionF::DimensionF | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 74 of file DimensionF.h. Referenced by operator *(), operator+(), and operator-().

Lamp::DimensionF::DimensionF | ( | float | sourceWidth,
|  | float | sourceHeight
| ) | `[inline]`

  | コンストラクタ Parameters:
  sourceWidth | 幅の初期値
  sourceHeight | 高さの初期値
Definition at line 81 of file DimensionF.h. References height, and width.

Lamp::DimensionF::DimensionF | ( | float | sourceArray[2] | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  sourceArray | 初期値配列
Definition at line 88 of file DimensionF.h. References height, and width.

Lamp::DimensionF::DimensionF | ( | const DimensionI & | source | ) | `[explicit]`

  | コンストラクタ Parameters:
  source | 設定する寸法
Definition at line 42 of file DimensionF.cpp. References Lamp::DimensionI::height, height, Lamp::DimensionI::width, and width.

## Member Function Documentation

bool Lamp::DimensionF::epsilonEquals | ( | const DimensionF & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 同じ値かどうか Parameters:
  target | 比較する寸法
  epsilon | 誤差
Returns: 誤差の範囲内で同じ値であればtrueを返す Definition at line 256 of file DimensionF.h. References Assert, height, and width.

bool Lamp::DimensionF::notEpsilonEquals | ( | const DimensionF & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 同じ値でないかどうか Parameters:
  target | 比較する寸法
  epsilon | 誤差
Returns: 誤差の範囲内で同じでない値であればtrueを返す Definition at line 278 of file DimensionF.h. References Assert, height, and width.

DimensionF Lamp::DimensionF::operator * | ( | float | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された寸法 Definition at line 163 of file DimensionF.h. References DimensionF(), height, and width.

DimensionF Lamp::DimensionF::operator * | ( | const DimensionF & | mulDimension | ) | const`[inline]`

  | 乗算 Parameters:
  mulDimension | 乗算する寸法
Returns: 乗算された寸法 Definition at line 153 of file DimensionF.h. References DimensionF(), height, and width.

DimensionF& Lamp::DimensionF::operator *= | ( | float | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された寸法 Definition at line 232 of file DimensionF.h. References height, and width.

DimensionF& Lamp::DimensionF::operator *= | ( | const DimensionF & | mulDimension | ) | `[inline]`

  | 代入乗算 Parameters:
  mulDimension | 乗算する寸法
Returns: 乗算された寸法 Definition at line 221 of file DimensionF.h. References height, and width.

bool Lamp::DimensionF::operator!= | ( | const DimensionF & | target | ) | const`[inline]`

  | 同じ値でないかどうか Parameters:
  target | 比較する寸法
Returns: 同じ値でなければtrueを返す Definition at line 268 of file DimensionF.h. References height, and width.

DimensionF Lamp::DimensionF::operator+ | ( |  | ) | const`[inline]`

| +演算子 Returns: ベクトルのコピー Definition at line 183 of file DimensionF.h.

DimensionF Lamp::DimensionF::operator+ | ( | const DimensionF & | addDimension | ) | const`[inline]`

  | 加算 Parameters:
  addDimension | 加算する寸法
Returns: 加算された寸法 Definition at line 133 of file DimensionF.h. References DimensionF(), height, and width.

DimensionF& Lamp::DimensionF::operator+= | ( | const DimensionF & | addDimension | ) | `[inline]`

  | 代入加算 Parameters:
  addDimension | 加算する寸法
Returns: 加算された寸法 Definition at line 199 of file DimensionF.h. References height, and width.

DimensionF Lamp::DimensionF::operator- | ( |  | ) | const`[inline]`

| -演算子 Returns: 値の符号が反転したベクトル Definition at line 189 of file DimensionF.h. References DimensionF(), height, and width.

DimensionF Lamp::DimensionF::operator- | ( | const DimensionF & | subDimension | ) | const`[inline]`

  | 減算 Parameters:
  subDimension | 減算する寸法
Returns: 減算された寸法 Definition at line 143 of file DimensionF.h. References DimensionF(), height, and width.

DimensionF& Lamp::DimensionF::operator-= | ( | const DimensionF & | subDimension | ) | `[inline]`

  | 代入減算 Parameters:
  subDimension | 減算する寸法
Returns: 減算された寸法 Definition at line 210 of file DimensionF.h. References height, and width.

bool Lamp::DimensionF::operator== | ( | const DimensionF & | target | ) | const`[inline]`

  | 同じ値かどうか Parameters:
  target | 比較する寸法
Returns: 同じ値であればtrueを返す Definition at line 246 of file DimensionF.h. References height, and width.

void Lamp::DimensionF::set | ( | const DimensionI & | source | ) |

  | 値の設定 Parameters:
  source | 設定する寸法
Definition at line 48 of file DimensionF.cpp. References Lamp::DimensionI::height, height, Lamp::DimensionI::width, and width.

void Lamp::DimensionF::set | ( | float | sourceArray[2] | ) | `[inline]`

  | 値の設定 Parameters:
  sourceArray | 設定値配列
Definition at line 114 of file DimensionF.h. References height, and width.

void Lamp::DimensionF::set | ( | float | sourceWidth,
|  | float | sourceHeight
| ) | `[inline]`

  | 値の設定 Parameters:
  sourceWidth | 幅の設定値
  sourceHeight | 高さの設定値
Definition at line 105 of file DimensionF.h. References height, and width. Referenced by Lamp::SpriteRenderer::applyRendererState(), and Lamp::SpriteRenderState::SpriteRenderState().

String Lamp::DimensionF::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 寸法の文字列表記 Definition at line 293 of file DimensionF.h. References Lamp::String::format(), height, and width.

## Friends And Related Function Documentation

DimensionF operator * | ( | float | mulValue,
|  | const DimensionF & | mulDimension
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulDimension | 乗算される寸法
Returns: 乗算された寸法 Definition at line 173 of file DimensionF.h.

The documentation for this class was generated from the following files:

- DimensionF.h
- DimensionF.cpp